---

 - name: Sharingan-Eval service
   become: yes
   register: eval_service
   copy:
     src: monit/sharingan-eval.service
     dest: /usr/lib/systemd/system/sharingan-eval.service
     owner: root
     group: root
     mode: 0750

 - name: Sharingan-Eval monitrc
   become: yes
   template:
     src: monitrc.j2
     dest: /etc/monitrc
     owner: root
     group: root
     mode: 0700

 - name: Sharingan-Eval includes dir
   become: yes
   loop:
     - "/etc/monit.d/"
     - "/etc/monit.d/scripts"
     - "/etc/monit.d/checks"
   file:
     path: "{{ item }}"
     state: directory

 - name: Sharingan-Eval monit templates
   become: yes
   copy:
     src: monit/checks/
     dest: /etc/monit.d/checks
     owner: root
     group: root
     mode: 0700

 - name: Sharingan-Eval monit scripts
   become: yes
   copy:
     src: monit/scripts/
     dest: /etc/monit.d/scripts
     owner: root
     group: root
     mode: 0700

 - name: Sharingan-Eval monit host config
   become: yes
   copy:
     src: "monit/hostdefs/{{ inventory_hostname }}"
     dest: "/etc/monit.d/{{ inventory_hostname }}"
     owner: root
     group: root
     mode: 0700


